package com.ycwl.basic.utils.ratelimiter;

import java.util.concurrent.TimeUnit;

public interface IRateLimiter {
    void acquire() throws InterruptedException;
    void shutdown();
    boolean tryAcquire();
    boolean tryAcquire(long timeout, TimeUnit unit) throws InterruptedException;
}
